#pragma once
#include "node_border.h"

class NodeShortcutsItem : public NodeBorder
{
    class NodeText* m_descr;
    class NodeText* m_shortcut;
public:
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    void init_controls();
    void set_descr(const std::string& str) noexcept;
    void set_shortcut(const std::string& str) noexcept;
};

class NodeShortcuts : public NodeBorder
{
    class NodeButton* m_btn_close;
    class NodeScroll* m_content;
public:
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    void init_controls();
    void add_shortcut(const std::string& descr, const std::string& shortcut) noexcept;
};
